%bcond_with test

Name:           python-charset-normalizer
Version:        2.0.12
Release:        %mkrel 2
Summary:        The Real First Universal Charset Detector
Group:		    Development/Python
License:        MIT
URL:            https://github.com/ousret/charset_normalizer
Source0:        charset_normalizer-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with test}
BuildRequires:  python3dist(pytest)
%endif

%description
A library that helps you read text from an unknown charset encoding.
Motivated by chardet, trying to resolve the issue by taking
a new approach. All IANA character set names for which the Python core
library provides codecs are supported.

%package -n     python3-charset-normalizer
Summary:        %{summary}
Group:		Development/Python

%description -n python3-charset-normalizer
A library that helps you read text from an unknown charset encoding.
Motivated by chardet, trying to resolve the issue by taking
a new approach. All IANA character set names for which the Python core
library provides codecs are supported.

%prep
%setup -qn charset_normalizer-%{version}

# Remove pytest-cov settings from setup.cfg
sed -i "/addopts = --cov/d" setup.cfg

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-charset-normalizer
%doc README.md LICENSE
%{_bindir}/normalizer
%{python3_sitelib}/charset_normalizer/
%{python3_sitelib}/charset_normalizer-%{version}-py%{python3_version}.egg-info

%changelog
* Sun Mar 20 2022 TerryN <terryn94 at gmail.com> 2.0.12-2pclos2022
- rebuild for python 3.10
